package com.cms.admin.controller;


import java.util.Iterator;
import java.util.List;
import java.util.Map; 
import javax.servlet.http.HttpServletRequest; 
import javax.servlet.http.HttpServletResponse;
import org.apache.log4j.Logger;
import org.hibernate.HibernateException;
import org.hibernate.SQLQuery;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;
import com.cms.admin.bean.LoginBean;
import com.cms.admin.bo.UserBo;
import com.cms.admin.validator.LoginValidator;

@Controller
public class WelcomeController {
	private static SessionFactory factory;
	
	@Autowired
	LoginValidator validator = null;
	@Autowired
	UserBo userBo;
	public static Logger _log = Logger.getLogger(WelcomeController.class.getName());
	
	@RequestMapping(value="/loginform.action", method=RequestMethod.GET)
	public ModelAndView redirectToLoginPage(HttpServletRequest req, HttpServletResponse res,@ModelAttribute("command") LoginBean command, ModelMap model){
		return new ModelAndView("login");
	}
	
	@RequestMapping(value="/loginform.action", method = RequestMethod.POST)
	public ModelAndView redirecttoLogin(HttpServletRequest req, HttpServletResponse res,@ModelAttribute("command") LoginBean command, BindingResult errors, Map<String,Object> model)
	{
		ModelAndView mav = null;
		try
		{
			
			validator.validate(command, errors);
			if(errors.hasErrors())
			{
				model=  errors.getModel();
				mav=new ModelAndView("login", model);
			}
			else
			{
				List<LoginBean> userList = userBo.readUser(command.getUserName());
				LoginBean lbean = (userList.isEmpty() ? null :  userList.get(0)); 
				if(lbean!=null && lbean.getPassWord().equalsIgnoreCase(command.getPassWord())){
					mav=new ModelAndView("redirecttowelcome", model);
				}else{
					mav=new ModelAndView("login", model);
				}
			}		
			
		}
		catch(Exception ex)
		{
			 errors.reject("error.unknown");
			_log.error(ex.getMessage());
		}
		return mav;
	}
	@RequestMapping(value="/welcome.form", method=RequestMethod.GET)
	public String redirectToWelcomePage(HttpServletRequest req, HttpServletResponse res,@ModelAttribute("command") LoginBean command, ModelMap model){
		return "welcome";
	}
}
