package com.cms.admin.validator;

import org.apache.log4j.Logger;
import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

import com.cms.admin.bean.LoginBean;
import com.cms.admin.controller.WelcomeController;

public class LoginValidator implements Validator {
	public static Logger _log = Logger.getLogger(LoginValidator.class.getName());
	@Override
	public boolean supports(Class<?> clazz) {
		return LoginBean.class.getName().equals(clazz.getName());
	}
	@Override
	public void validate(Object command, Errors errors) {
		_log.info("Started validating the command object.");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "userName", "REQ-001", "User Name is required.");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "passWord", "REQ-002", "Pass Word is required.");
	}

}
